Creates a new equipment_brand object

Request Information

URI Parameters :

None.

Body Parameters :

equipment_brand
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
name

Name of the equipment brand

string

Required

Max length: 50

code

The Id/Ref of the back office. Used by Embedded entity

string

Max length: 50

sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company_type

string
sales_organization

Embedded entity "sales_organization" when adding/updating company_type

sales_organization
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "0fb9550c-eae6-41e2-88c4-2443c367937c",
  "name": "sample string 2",
  "code": "sample string 3",
  "sales_organization_id": "86531904-0ae0-411c-be3c-a831738da1e0",
  "sales_organization_code": "sample string 5",
  "sales_organization": {
    "id": "2043b373-a98b-497f-93a9-09b631457f96",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "c9fdeb31-cc58-4481-8814-c75a70e980a8",
    "db_currency_id": "7a84b0c0-2441-4e98-9322-c34fc6480331",
    "db_language_id": "c6aa691f-8833-4020-9f0d-118f33f24289",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-07-15T23:48:12.5078402+00:00"
  },
  "modified_dateutc": "2026-07-15T23:48:12.5078402+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.